### Name

> XmHTMLImageFreeAllImages - release all images in the currently displayed document.

### Synopsis

> void XmHTMLImageFreeAllImages(Widget w)

### Description

> XmHTMLImageFreeAllImages releases all private resources used by the images in the currently displayed document. These resources include memory, colors and pixmaps. Use of this function without having a thorough understanding of the XmHTML Widget internals can easily lead to errors. This function is used internally as the last phase of document destruction.

> w
>   Specifies the parent Widget ID containing the document for which all image related resources have to be freed.

### Return Value

> This function does not return a value.

### See Also

> XmHTML(3X), XmHTMLImageDefaultProc(3X), XmHTMLImageFreeImageInfo(3X)

XmHTML, October 7, 1997